# -*- coding: utf-8 -*-
#
# File: BPDElemento_ExportConfig.py
#
# Copyright (c) 2009 by Conselleria de Infraestructuras y Transporte de la
# Generalidad Valenciana
#
# GNU General Public License (GPL)
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA.
#
#
# Authors: 
# Conselleria de Infraestructuras y Transporte de la Generalidad Valenciana, Model Driven Development sl, Antonio Carrasco Valero
#
#

__author__ = """Conselleria de Infraestructuras y Transporte de la Generalidad Valenciana
<gvSIGbpd@gvSIG.org>, Model Driven Development sl <gvSIGbpd@ModelDD.org>,
Antonio Carrasco Valero <carrasco@ModelDD.org>"""

__docformat__ = 'plaintext'

from AccessControl                  import ClassSecurityInfo
from Products.Archetypes.atapi import *
from Products.gvSIGbpd.config import *



class BPDElemento_ExportConfig:            

    """
    """
    security = ClassSecurityInfo()
    
    
    security.declarePublic('exportConfig')
    def exportConfig( self):
        return [
    {   'portal_types': [ 'BPDArtefacto', ],
        'attrs':        [
            {   'name': 'title',
                'type': 'String',
            },
            {   'name': 'description',
                'type': 'Text',
            },
            {   'name': 'text',
                'type': 'Text',
            },
            {   'name': 'codigo',
                'type': 'string',
            },
            {   'name': 'codigoIdioma',
                'type': 'string',
            },
            {   'name': 'estado',
                'type': 'selection',
            },
            {   'name': 'fechaAdopcion',
                'type': 'Date',
            },
            {   'name': 'fechaObsolescencia',
                'type': 'Date',
            },
            {   'name': 'nivelDeImposicion',
                'type': 'selection',
            },
            {   'name': 'version',
                'type': 'string',
            },
            {   'name': 'versionInterna',
                'type': 'string',
            },
        ],
        'traversals':   [
            {   'aggregation_name':     'coleccionesArtefactos',
                'contains_collections': True,
                'tabular_tree':         True,
                'subitems':             [
                    {   'portal_types': [ 'BPDColeccionArtefactos', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'responsablesDeArtefacto',
                'related_types': [
                    {   'portal_types': [ 'BPDOrganizacion', 'BPDPerfil', 'BPDUnidadOrganizacional', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'herramientas',
                'related_types': [
                    {   'portal_types': [ 'BPDHerramienta', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'entradasAProcesosDeNegocio',
                'related_types': [
                    {   'portal_types': [ 'BPDEntrada', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'salidasDeProcesosDeNegocio',
                'related_types': [
                    {   'portal_types': [ 'BPDSalida', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'pasosQueRecibenElArtefacto',
                'related_types': [
                    {   'portal_types': [ 'BPDRecepcion', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'pasosQueEnvianElArtefacto',
                'related_types': [
                    {   'portal_types': [ 'BPDEnvio', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'politicasDeNegocioGobernantes',
                'related_types': [
                    {   'portal_types': [ 'BPDPoliticaDeNegocio', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'reglasDeNegocioDirigentes',
                'related_types': [
                    {   'portal_types': [ 'BPDReglaDeNegocio', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'referidos',
                'related_types': [
                    {   'portal_types': [ 'BPDArtefacto', 'BPDDecision', 'BPDEntrada', 'BPDEnvio', 'BPDExitoFinal', 'BPDFracasoFinal', 'BPDHerramienta', 'BPDOrganizacion', 'BPDPasoSimple', 'BPDPerfil', 'BPDPlazo', 'BPDPoliticaDeNegocio', 'BPDProcesoDeNegocioSimple', 'BPDRecepcion', 'BPDReglaDeNegocio', 'BPDSalida', 'BPDSubProceso', 'BPDUnidadOrganizacional', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'referentes',
                'related_types': [
                    {   'portal_types': [ 'BPDArtefacto', 'BPDDecision', 'BPDEntrada', 'BPDEnvio', 'BPDExitoFinal', 'BPDFracasoFinal', 'BPDHerramienta', 'BPDOrganizacion', 'BPDPasoSimple', 'BPDPerfil', 'BPDPlazo', 'BPDPoliticaDeNegocio', 'BPDProcesoDeNegocioSimple', 'BPDRecepcion', 'BPDReglaDeNegocio', 'BPDSalida', 'BPDSubProceso', 'BPDUnidadOrganizacional', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':     'referenciasCualificadas',
                'contains_collections': False,
                'tabular_tree':         True,
                'subitems':             [
                    {   'portal_types': [ 'BPDReferenciaCualificada', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'referentesCualificados',
                'related_types': [
                    {   'portal_types': [ 'BPDReferenciaCualificada', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'archivos',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATFile', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'documentos',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATDocument', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'enlaces',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATLink', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'imagenes',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATImage', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'noticias',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATNewsItem', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
        ],
    },
    {   'portal_types': [ 'BPDColeccionArtefactos', ],
        'attrs':        [
            {   'name': 'title',
                'type': 'String',
            },
            {   'name': 'description',
                'type': 'Text',
            },
            {   'name': 'text',
                'type': 'Text',
            },
            {   'name': 'codigoIdioma',
                'type': 'string',
            },
            {   'name': 'versionInterna',
                'type': 'string',
            },
        ],
        'traversals':   [
            {   'aggregation_name':       'archivos',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATFile', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':     'artefactos',
                'contains_collections': False,
                'tabular_tree':         True,
                'subitems':             [
                    {   'portal_types': [ 'BPDArtefacto', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'documentos',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATDocument', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'enlaces',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATLink', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'imagenes',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATImage', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'noticias',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATNewsItem', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
        ],
    },
    {   'portal_types': [ 'BPDColeccionEntradas', ],
        'attrs':        [
            {   'name': 'title',
                'type': 'String',
            },
            {   'name': 'description',
                'type': 'Text',
            },
            {   'name': 'text',
                'type': 'Text',
            },
            {   'name': 'codigoIdioma',
                'type': 'string',
            },
            {   'name': 'versionInterna',
                'type': 'string',
            },
        ],
        'traversals':   [
            {   'aggregation_name':       'archivos',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATFile', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'documentos',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATDocument', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'enlaces',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATLink', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':     'entradas',
                'contains_collections': False,
                'tabular_tree':         True,
                'subitems':             [
                    {   'portal_types': [ 'BPDEntrada', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'imagenes',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATImage', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'noticias',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATNewsItem', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
        ],
    },
    {   'portal_types': [ 'BPDColeccionHerramientas', ],
        'attrs':        [
            {   'name': 'title',
                'type': 'String',
            },
            {   'name': 'description',
                'type': 'Text',
            },
            {   'name': 'text',
                'type': 'Text',
            },
            {   'name': 'codigoIdioma',
                'type': 'string',
            },
            {   'name': 'versionInterna',
                'type': 'string',
            },
        ],
        'traversals':   [
            {   'aggregation_name':       'archivos',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATFile', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'documentos',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATDocument', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'enlaces',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATLink', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':     'herramientas',
                'contains_collections': False,
                'tabular_tree':         True,
                'subitems':             [
                    {   'portal_types': [ 'BPDHerramienta', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'imagenes',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATImage', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'noticias',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATNewsItem', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
        ],
    },
    {   'portal_types': [ 'BPDColeccionPasos', ],
        'attrs':        [
            {   'name': 'title',
                'type': 'String',
            },
            {   'name': 'description',
                'type': 'Text',
            },
            {   'name': 'text',
                'type': 'Text',
            },
            {   'name': 'codigoIdioma',
                'type': 'string',
            },
            {   'name': 'versionInterna',
                'type': 'string',
            },
        ],
        'traversals':   [
            {   'aggregation_name':       'archivos',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATFile', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'documentos',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATDocument', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'enlaces',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATLink', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'imagenes',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATImage', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'noticias',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATNewsItem', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':     'pasos',
                'contains_collections': False,
                'tabular_tree':         True,
                'subitems':             [
                    {   'portal_types': [ 'BPDDecision', 'BPDEnvio', 'BPDExitoFinal', 'BPDFracasoFinal', 'BPDPasoSimple', 'BPDPlazo', 'BPDRecepcion', 'BPDSubProceso', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
        ],
    },
    {   'portal_types': [ 'BPDColeccionPerfiles', ],
        'attrs':        [
            {   'name': 'title',
                'type': 'String',
            },
            {   'name': 'description',
                'type': 'Text',
            },
            {   'name': 'text',
                'type': 'Text',
            },
            {   'name': 'codigoIdioma',
                'type': 'string',
            },
            {   'name': 'versionInterna',
                'type': 'string',
            },
        ],
        'traversals':   [
            {   'aggregation_name':       'archivos',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATFile', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'documentos',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATDocument', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'enlaces',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATLink', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'imagenes',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATImage', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'noticias',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATNewsItem', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':     'perfiles',
                'contains_collections': False,
                'tabular_tree':         True,
                'subitems':             [
                    {   'portal_types': [ 'BPDPerfil', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
        ],
    },
    {   'portal_types': [ 'BPDColeccionPoliticasDeNegocio', ],
        'attrs':        [
            {   'name': 'title',
                'type': 'String',
            },
            {   'name': 'description',
                'type': 'Text',
            },
            {   'name': 'text',
                'type': 'Text',
            },
            {   'name': 'codigoIdioma',
                'type': 'string',
            },
            {   'name': 'versionInterna',
                'type': 'string',
            },
        ],
        'traversals':   [
            {   'aggregation_name':       'archivos',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATFile', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'documentos',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATDocument', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'enlaces',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATLink', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'imagenes',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATImage', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'noticias',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATNewsItem', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':     'politicasDeNegocio',
                'contains_collections': False,
                'tabular_tree':         True,
                'subitems':             [
                    {   'portal_types': [ 'BPDPoliticaDeNegocio', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
        ],
    },
    {   'portal_types': [ 'BPDColeccionProcesosDeNegocio', ],
        'attrs':        [
            {   'name': 'title',
                'type': 'String',
            },
            {   'name': 'description',
                'type': 'Text',
            },
            {   'name': 'text',
                'type': 'Text',
            },
            {   'name': 'codigoIdioma',
                'type': 'string',
            },
            {   'name': 'versionInterna',
                'type': 'string',
            },
        ],
        'traversals':   [
            {   'aggregation_name':       'archivos',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATFile', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'documentos',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATDocument', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'enlaces',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATLink', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'imagenes',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATImage', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'noticias',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATNewsItem', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':     'procedimientos',
                'contains_collections': False,
                'tabular_tree':         True,
                'subitems':             [
                    {   'portal_types': [ 'BPDProcesoDeNegocioSimple', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
        ],
    },
    {   'portal_types': [ 'BPDColeccionReglasDeNegocio', ],
        'attrs':        [
            {   'name': 'title',
                'type': 'String',
            },
            {   'name': 'description',
                'type': 'Text',
            },
            {   'name': 'text',
                'type': 'Text',
            },
            {   'name': 'codigoIdioma',
                'type': 'string',
            },
            {   'name': 'versionInterna',
                'type': 'string',
            },
        ],
        'traversals':   [
            {   'aggregation_name':       'archivos',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATFile', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'documentos',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATDocument', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'enlaces',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATLink', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'imagenes',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATImage', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'noticias',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATNewsItem', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':     'reglasDeNegocio',
                'contains_collections': False,
                'tabular_tree':         True,
                'subitems':             [
                    {   'portal_types': [ 'BPDReglaDeNegocio', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
        ],
    },
    {   'portal_types': [ 'BPDColeccionSalidas', ],
        'attrs':        [
            {   'name': 'title',
                'type': 'String',
            },
            {   'name': 'description',
                'type': 'Text',
            },
            {   'name': 'text',
                'type': 'Text',
            },
            {   'name': 'codigoIdioma',
                'type': 'string',
            },
            {   'name': 'versionInterna',
                'type': 'string',
            },
        ],
        'traversals':   [
            {   'aggregation_name':       'archivos',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATFile', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'documentos',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATDocument', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'enlaces',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATLink', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'imagenes',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATImage', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'noticias',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATNewsItem', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':     'salidas',
                'contains_collections': False,
                'tabular_tree':         True,
                'subitems':             [
                    {   'portal_types': [ 'BPDSalida', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
        ],
    },
    {   'portal_types': [ 'BPDColeccionUnidadesOrganizacionales', ],
        'attrs':        [
            {   'name': 'title',
                'type': 'String',
            },
            {   'name': 'description',
                'type': 'Text',
            },
            {   'name': 'text',
                'type': 'Text',
            },
            {   'name': 'codigoIdioma',
                'type': 'string',
            },
            {   'name': 'versionInterna',
                'type': 'string',
            },
        ],
        'traversals':   [
            {   'aggregation_name':       'archivos',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATFile', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'documentos',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATDocument', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'enlaces',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATLink', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'imagenes',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATImage', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'noticias',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATNewsItem', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':     'unidadesOrganizacionales',
                'contains_collections': False,
                'tabular_tree':         True,
                'subitems':             [
                    {   'portal_types': [ 'BPDOrganizacion', 'BPDUnidadOrganizacional', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
        ],
    },
    {   'portal_types': [ 'BPDDecision', ],
        'attrs':        [
            {   'name': 'title',
                'type': 'String',
            },
            {   'name': 'description',
                'type': 'Text',
            },
            {   'name': 'text',
                'type': 'Text',
            },
            {   'name': 'codigoIdioma',
                'type': 'string',
            },
            {   'name': 'condicionSiguientePaso',
                'type': 'Text',
            },
            {   'name': 'esInicial',
                'type': 'Boolean',
            },
            {   'name': 'versionInterna',
                'type': 'string',
            },
        ],
        'traversals':   [
            {   'relation_name':    'pasosSiguientes',
                'related_types':    [
                    {   'portal_types': [ 'BPDDecision', 'BPDEnvio', 'BPDExitoFinal', 'BPDFracasoFinal', 'BPDPasoSimple', 'BPDPlazo', 'BPDRecepcion', 'BPDSubProceso', ],
                        'reuse_config': 'Default',
                    },
                ],
                'candidates_scope': 'Owner',
            },
            {   'relation_name':    'pasosSiguientesEnCasoExcepcion',
                'related_types':    [
                    {   'portal_types': [ 'BPDDecision', 'BPDEnvio', 'BPDExitoFinal', 'BPDFracasoFinal', 'BPDPasoGestorExcepciones', 'BPDPasoSimple', 'BPDPlazo', 'BPDRecepcion', 'BPDSubProceso', ],
                        'reuse_config': 'Default',
                    },
                ],
                'candidates_scope': 'Owner',
            },
            {   'relation_name': 'ejecutores',
                'related_types': [
                    {   'portal_types': [ 'BPDOrganizacion', 'BPDPerfil', 'BPDUnidadOrganizacional', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'reglasDeNegocioAplicadas',
                'related_types': [
                    {   'portal_types': [ 'BPDReglaDeNegocio', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'herramientasAplicadas',
                'related_types': [
                    {   'portal_types': [ 'BPDHerramienta', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name':    'pasosAnteriores',
                'related_types':    [
                    {   'portal_types': [ 'BPDDecision', 'BPDEnvio', 'BPDExitoFinal', 'BPDFracasoFinal', 'BPDPasoSimple', 'BPDPlazo', 'BPDRecepcion', 'BPDSubProceso', ],
                        'reuse_config': 'Default',
                    },
                ],
                'candidates_scope': 'Owner',
            },
            {   'relation_name':    'pasosOriginandoExcepcion',
                'related_types':    [
                    {   'portal_types': [ 'BPDDecision', 'BPDEnvio', 'BPDExitoFinal', 'BPDFracasoFinal', 'BPDPasoGestorExcepciones', 'BPDPasoSimple', 'BPDPlazo', 'BPDRecepcion', 'BPDSubProceso', ],
                        'reuse_config': 'Default',
                    },
                ],
                'candidates_scope': 'Owner',
            },
            {   'relation_name':    'requeridoEnPlazos',
                'related_types':    [
                    {   'portal_types': [ 'BPDPlazo', ],
                        'reuse_config': 'Default',
                    },
                ],
                'candidates_scope': 'Owner',
            },
            {   'relation_name': 'referidos',
                'related_types': [
                    {   'portal_types': [ 'BPDArtefacto', 'BPDDecision', 'BPDEntrada', 'BPDEnvio', 'BPDExitoFinal', 'BPDFracasoFinal', 'BPDHerramienta', 'BPDOrganizacion', 'BPDPasoSimple', 'BPDPerfil', 'BPDPlazo', 'BPDPoliticaDeNegocio', 'BPDProcesoDeNegocioSimple', 'BPDRecepcion', 'BPDReglaDeNegocio', 'BPDSalida', 'BPDSubProceso', 'BPDUnidadOrganizacional', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'referentes',
                'related_types': [
                    {   'portal_types': [ 'BPDArtefacto', 'BPDDecision', 'BPDEntrada', 'BPDEnvio', 'BPDExitoFinal', 'BPDFracasoFinal', 'BPDHerramienta', 'BPDOrganizacion', 'BPDPasoSimple', 'BPDPerfil', 'BPDPlazo', 'BPDPoliticaDeNegocio', 'BPDProcesoDeNegocioSimple', 'BPDRecepcion', 'BPDReglaDeNegocio', 'BPDSalida', 'BPDSubProceso', 'BPDUnidadOrganizacional', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':     'referenciasCualificadas',
                'contains_collections': False,
                'tabular_tree':         True,
                'subitems':             [
                    {   'portal_types': [ 'BPDReferenciaCualificada', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'referentesCualificados',
                'related_types': [
                    {   'portal_types': [ 'BPDReferenciaCualificada', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'archivos',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATFile', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'documentos',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATDocument', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'enlaces',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATLink', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'imagenes',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATImage', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'noticias',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATNewsItem', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
        ],
    },
    {   'portal_types': [ 'BPDEntrada', ],
        'attrs':        [
            {   'name': 'title',
                'type': 'String',
            },
            {   'name': 'description',
                'type': 'Text',
            },
            {   'name': 'text',
                'type': 'Text',
            },
            {   'name': 'codigoIdioma',
                'type': 'string',
            },
            {   'name': 'esRequerida',
                'type': 'Boolean',
            },
            {   'name': 'fuenteDeInformacion',
                'type': 'Text',
            },
            {   'name': 'valorDefecto',
                'type': 'Text',
            },
            {   'name': 'versionInterna',
                'type': 'string',
            },
        ],
        'traversals':   [
            {   'relation_name': 'artefactosDeEntrada',
                'related_types': [
                    {   'portal_types': [ 'BPDArtefacto', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'referidos',
                'related_types': [
                    {   'portal_types': [ 'BPDArtefacto', 'BPDDecision', 'BPDEntrada', 'BPDEnvio', 'BPDExitoFinal', 'BPDFracasoFinal', 'BPDHerramienta', 'BPDOrganizacion', 'BPDPasoSimple', 'BPDPerfil', 'BPDPlazo', 'BPDPoliticaDeNegocio', 'BPDProcesoDeNegocioSimple', 'BPDRecepcion', 'BPDReglaDeNegocio', 'BPDSalida', 'BPDSubProceso', 'BPDUnidadOrganizacional', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'referentes',
                'related_types': [
                    {   'portal_types': [ 'BPDArtefacto', 'BPDDecision', 'BPDEntrada', 'BPDEnvio', 'BPDExitoFinal', 'BPDFracasoFinal', 'BPDHerramienta', 'BPDOrganizacion', 'BPDPasoSimple', 'BPDPerfil', 'BPDPlazo', 'BPDPoliticaDeNegocio', 'BPDProcesoDeNegocioSimple', 'BPDRecepcion', 'BPDReglaDeNegocio', 'BPDSalida', 'BPDSubProceso', 'BPDUnidadOrganizacional', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':     'referenciasCualificadas',
                'contains_collections': False,
                'tabular_tree':         True,
                'subitems':             [
                    {   'portal_types': [ 'BPDReferenciaCualificada', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'referentesCualificados',
                'related_types': [
                    {   'portal_types': [ 'BPDReferenciaCualificada', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'archivos',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATFile', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'documentos',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATDocument', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'enlaces',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATLink', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'imagenes',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATImage', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'noticias',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATNewsItem', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
        ],
    },
    {   'portal_types': [ 'BPDEnvio', ],
        'attrs':        [
            {   'name': 'title',
                'type': 'String',
            },
            {   'name': 'description',
                'type': 'Text',
            },
            {   'name': 'text',
                'type': 'Text',
            },
            {   'name': 'codigoIdioma',
                'type': 'string',
            },
            {   'name': 'esInicial',
                'type': 'Boolean',
            },
            {   'name': 'versionInterna',
                'type': 'string',
            },
        ],
        'traversals':   [
            {   'relation_name': 'destinatarios',
                'related_types': [
                    {   'portal_types': [ 'BPDOrganizacion', 'BPDPerfil', 'BPDUnidadOrganizacional', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'artefactosEnviados',
                'related_types': [
                    {   'portal_types': [ 'BPDArtefacto', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name':    'pasosSiguientes',
                'related_types':    [
                    {   'portal_types': [ 'BPDDecision', 'BPDEnvio', 'BPDExitoFinal', 'BPDFracasoFinal', 'BPDPasoSimple', 'BPDPlazo', 'BPDRecepcion', 'BPDSubProceso', ],
                        'reuse_config': 'Default',
                    },
                ],
                'candidates_scope': 'Owner',
            },
            {   'relation_name':    'pasosSiguientesEnCasoExcepcion',
                'related_types':    [
                    {   'portal_types': [ 'BPDDecision', 'BPDEnvio', 'BPDExitoFinal', 'BPDFracasoFinal', 'BPDPasoGestorExcepciones', 'BPDPasoSimple', 'BPDPlazo', 'BPDRecepcion', 'BPDSubProceso', ],
                        'reuse_config': 'Default',
                    },
                ],
                'candidates_scope': 'Owner',
            },
            {   'relation_name': 'ejecutores',
                'related_types': [
                    {   'portal_types': [ 'BPDOrganizacion', 'BPDPerfil', 'BPDUnidadOrganizacional', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'reglasDeNegocioAplicadas',
                'related_types': [
                    {   'portal_types': [ 'BPDReglaDeNegocio', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'herramientasAplicadas',
                'related_types': [
                    {   'portal_types': [ 'BPDHerramienta', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name':    'pasosAnteriores',
                'related_types':    [
                    {   'portal_types': [ 'BPDDecision', 'BPDEnvio', 'BPDExitoFinal', 'BPDFracasoFinal', 'BPDPasoSimple', 'BPDPlazo', 'BPDRecepcion', 'BPDSubProceso', ],
                        'reuse_config': 'Default',
                    },
                ],
                'candidates_scope': 'Owner',
            },
            {   'relation_name':    'pasosOriginandoExcepcion',
                'related_types':    [
                    {   'portal_types': [ 'BPDDecision', 'BPDEnvio', 'BPDExitoFinal', 'BPDFracasoFinal', 'BPDPasoGestorExcepciones', 'BPDPasoSimple', 'BPDPlazo', 'BPDRecepcion', 'BPDSubProceso', ],
                        'reuse_config': 'Default',
                    },
                ],
                'candidates_scope': 'Owner',
            },
            {   'relation_name':    'requeridoEnPlazos',
                'related_types':    [
                    {   'portal_types': [ 'BPDPlazo', ],
                        'reuse_config': 'Default',
                    },
                ],
                'candidates_scope': 'Owner',
            },
            {   'relation_name': 'referidos',
                'related_types': [
                    {   'portal_types': [ 'BPDArtefacto', 'BPDDecision', 'BPDEntrada', 'BPDEnvio', 'BPDExitoFinal', 'BPDFracasoFinal', 'BPDHerramienta', 'BPDOrganizacion', 'BPDPasoSimple', 'BPDPerfil', 'BPDPlazo', 'BPDPoliticaDeNegocio', 'BPDProcesoDeNegocioSimple', 'BPDRecepcion', 'BPDReglaDeNegocio', 'BPDSalida', 'BPDSubProceso', 'BPDUnidadOrganizacional', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'referentes',
                'related_types': [
                    {   'portal_types': [ 'BPDArtefacto', 'BPDDecision', 'BPDEntrada', 'BPDEnvio', 'BPDExitoFinal', 'BPDFracasoFinal', 'BPDHerramienta', 'BPDOrganizacion', 'BPDPasoSimple', 'BPDPerfil', 'BPDPlazo', 'BPDPoliticaDeNegocio', 'BPDProcesoDeNegocioSimple', 'BPDRecepcion', 'BPDReglaDeNegocio', 'BPDSalida', 'BPDSubProceso', 'BPDUnidadOrganizacional', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':     'referenciasCualificadas',
                'contains_collections': False,
                'tabular_tree':         True,
                'subitems':             [
                    {   'portal_types': [ 'BPDReferenciaCualificada', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'referentesCualificados',
                'related_types': [
                    {   'portal_types': [ 'BPDReferenciaCualificada', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'archivos',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATFile', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'documentos',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATDocument', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'enlaces',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATLink', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'imagenes',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATImage', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'noticias',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATNewsItem', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
        ],
    },
    {   'portal_types': [ 'BPDExitoFinal', ],
        'attrs':        [
            {   'name': 'title',
                'type': 'String',
            },
            {   'name': 'description',
                'type': 'Text',
            },
            {   'name': 'text',
                'type': 'Text',
            },
            {   'name': 'codigoIdioma',
                'type': 'string',
            },
            {   'name': 'versionInterna',
                'type': 'string',
            },
        ],
        'traversals':   [
            {   'relation_name':    'pasosAnteriores',
                'related_types':    [
                    {   'portal_types': [ 'BPDDecision', 'BPDEnvio', 'BPDPasoSimple', 'BPDPlazo', 'BPDRecepcion', 'BPDSubProceso', ],
                        'reuse_config': 'Default',
                    },
                ],
                'candidates_scope': 'Owner',
            },
            {   'relation_name':    'pasosOriginandoExcepcion',
                'related_types':    [
                    {   'portal_types': [ 'BPDDecision', 'BPDEnvio', 'BPDPasoSimple', 'BPDPlazo', 'BPDRecepcion', 'BPDSubProceso', ],
                        'reuse_config': 'Default',
                    },
                ],
                'candidates_scope': 'Owner',
            },
            {   'relation_name': 'reglasDeNegocioAplicadas',
                'related_types': [
                    {   'portal_types': [ 'BPDReglaDeNegocio', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'herramientasAplicadas',
                'related_types': [
                    {   'portal_types': [ 'BPDHerramienta', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'referidos',
                'related_types': [
                    {   'portal_types': [ 'BPDArtefacto', 'BPDDecision', 'BPDEntrada', 'BPDEnvio', 'BPDExitoFinal', 'BPDFracasoFinal', 'BPDHerramienta', 'BPDOrganizacion', 'BPDPasoSimple', 'BPDPerfil', 'BPDPlazo', 'BPDPoliticaDeNegocio', 'BPDProcesoDeNegocioSimple', 'BPDRecepcion', 'BPDReglaDeNegocio', 'BPDSalida', 'BPDSubProceso', 'BPDUnidadOrganizacional', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'referentes',
                'related_types': [
                    {   'portal_types': [ 'BPDArtefacto', 'BPDDecision', 'BPDEntrada', 'BPDEnvio', 'BPDExitoFinal', 'BPDFracasoFinal', 'BPDHerramienta', 'BPDOrganizacion', 'BPDPasoSimple', 'BPDPerfil', 'BPDPlazo', 'BPDPoliticaDeNegocio', 'BPDProcesoDeNegocioSimple', 'BPDRecepcion', 'BPDReglaDeNegocio', 'BPDSalida', 'BPDSubProceso', 'BPDUnidadOrganizacional', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':     'referenciasCualificadas',
                'contains_collections': False,
                'tabular_tree':         True,
                'subitems':             [
                    {   'portal_types': [ 'BPDReferenciaCualificada', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'referentesCualificados',
                'related_types': [
                    {   'portal_types': [ 'BPDReferenciaCualificada', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'archivos',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATFile', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'documentos',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATDocument', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'enlaces',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATLink', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'imagenes',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATImage', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'noticias',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATNewsItem', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
        ],
    },
    {   'portal_types': [ 'BPDFracasoFinal', ],
        'attrs':        [
            {   'name': 'title',
                'type': 'String',
            },
            {   'name': 'description',
                'type': 'Text',
            },
            {   'name': 'text',
                'type': 'Text',
            },
            {   'name': 'codigoIdioma',
                'type': 'string',
            },
            {   'name': 'versionInterna',
                'type': 'string',
            },
        ],
        'traversals':   [
            {   'relation_name':    'pasosAnteriores',
                'related_types':    [
                    {   'portal_types': [ 'BPDDecision', 'BPDEnvio', 'BPDPasoSimple', 'BPDPlazo', 'BPDRecepcion', 'BPDSubProceso', ],
                        'reuse_config': 'Default',
                    },
                ],
                'candidates_scope': 'Owner',
            },
            {   'relation_name':    'pasosOriginandoExcepcion',
                'related_types':    [
                    {   'portal_types': [ 'BPDDecision', 'BPDEnvio', 'BPDPasoSimple', 'BPDPlazo', 'BPDRecepcion', 'BPDSubProceso', ],
                        'reuse_config': 'Default',
                    },
                ],
                'candidates_scope': 'Owner',
            },
            {   'relation_name': 'reglasDeNegocioAplicadas',
                'related_types': [
                    {   'portal_types': [ 'BPDReglaDeNegocio', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'herramientasAplicadas',
                'related_types': [
                    {   'portal_types': [ 'BPDHerramienta', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'referidos',
                'related_types': [
                    {   'portal_types': [ 'BPDArtefacto', 'BPDDecision', 'BPDEntrada', 'BPDEnvio', 'BPDExitoFinal', 'BPDFracasoFinal', 'BPDHerramienta', 'BPDOrganizacion', 'BPDPasoSimple', 'BPDPerfil', 'BPDPlazo', 'BPDPoliticaDeNegocio', 'BPDProcesoDeNegocioSimple', 'BPDRecepcion', 'BPDReglaDeNegocio', 'BPDSalida', 'BPDSubProceso', 'BPDUnidadOrganizacional', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'referentes',
                'related_types': [
                    {   'portal_types': [ 'BPDArtefacto', 'BPDDecision', 'BPDEntrada', 'BPDEnvio', 'BPDExitoFinal', 'BPDFracasoFinal', 'BPDHerramienta', 'BPDOrganizacion', 'BPDPasoSimple', 'BPDPerfil', 'BPDPlazo', 'BPDPoliticaDeNegocio', 'BPDProcesoDeNegocioSimple', 'BPDRecepcion', 'BPDReglaDeNegocio', 'BPDSalida', 'BPDSubProceso', 'BPDUnidadOrganizacional', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':     'referenciasCualificadas',
                'contains_collections': False,
                'tabular_tree':         True,
                'subitems':             [
                    {   'portal_types': [ 'BPDReferenciaCualificada', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'referentesCualificados',
                'related_types': [
                    {   'portal_types': [ 'BPDReferenciaCualificada', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'archivos',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATFile', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'documentos',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATDocument', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'enlaces',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATLink', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'imagenes',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATImage', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'noticias',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATNewsItem', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
        ],
    },
    {   'portal_types': [ 'BPDHerramienta', ],
        'attrs':        [
            {   'name': 'title',
                'type': 'String',
            },
            {   'name': 'description',
                'type': 'Text',
            },
            {   'name': 'text',
                'type': 'Text',
            },
            {   'name': 'codigo',
                'type': 'string',
            },
            {   'name': 'codigoIdioma',
                'type': 'string',
            },
            {   'name': 'estado',
                'type': 'selection',
            },
            {   'name': 'fechaAdopcion',
                'type': 'Date',
            },
            {   'name': 'fechaObsolescencia',
                'type': 'Date',
            },
            {   'name': 'nivelDeImposicion',
                'type': 'selection',
            },
            {   'name': 'version',
                'type': 'string',
            },
            {   'name': 'versionInterna',
                'type': 'string',
            },
        ],
        'traversals':   [
            {   'aggregation_name':     'coleccionesHerramientas',
                'contains_collections': True,
                'tabular_tree':         True,
                'subitems':             [
                    {   'portal_types': [ 'BPDColeccionHerramientas', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'responsablesDeHerramienta',
                'related_types': [
                    {   'portal_types': [ 'BPDOrganizacion', 'BPDPerfil', 'BPDUnidadOrganizacional', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'artefactosDeHerramienta',
                'related_types': [
                    {   'portal_types': [ 'BPDArtefacto', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'pasosAsistidos',
                'related_types': [
                    {   'portal_types': [ 'BPDDecision', 'BPDEnvio', 'BPDExitoFinal', 'BPDFracasoFinal', 'BPDPasoSimple', 'BPDPlazo', 'BPDRecepcion', 'BPDSubProceso', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'politicasDeNegocioGobernantes',
                'related_types': [
                    {   'portal_types': [ 'BPDPoliticaDeNegocio', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'reglasDeNegocioDirigentes',
                'related_types': [
                    {   'portal_types': [ 'BPDReglaDeNegocio', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'referidos',
                'related_types': [
                    {   'portal_types': [ 'BPDArtefacto', 'BPDDecision', 'BPDEntrada', 'BPDEnvio', 'BPDExitoFinal', 'BPDFracasoFinal', 'BPDHerramienta', 'BPDOrganizacion', 'BPDPasoSimple', 'BPDPerfil', 'BPDPlazo', 'BPDPoliticaDeNegocio', 'BPDProcesoDeNegocioSimple', 'BPDRecepcion', 'BPDReglaDeNegocio', 'BPDSalida', 'BPDSubProceso', 'BPDUnidadOrganizacional', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'referentes',
                'related_types': [
                    {   'portal_types': [ 'BPDArtefacto', 'BPDDecision', 'BPDEntrada', 'BPDEnvio', 'BPDExitoFinal', 'BPDFracasoFinal', 'BPDHerramienta', 'BPDOrganizacion', 'BPDPasoSimple', 'BPDPerfil', 'BPDPlazo', 'BPDPoliticaDeNegocio', 'BPDProcesoDeNegocioSimple', 'BPDRecepcion', 'BPDReglaDeNegocio', 'BPDSalida', 'BPDSubProceso', 'BPDUnidadOrganizacional', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':     'referenciasCualificadas',
                'contains_collections': False,
                'tabular_tree':         True,
                'subitems':             [
                    {   'portal_types': [ 'BPDReferenciaCualificada', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'referentesCualificados',
                'related_types': [
                    {   'portal_types': [ 'BPDReferenciaCualificada', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'archivos',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATFile', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'documentos',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATDocument', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'enlaces',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATLink', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'imagenes',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATImage', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'noticias',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATNewsItem', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
        ],
    },
    {   'portal_types': [ 'BPDOrganizacion', ],
        'attrs':        [
            {   'name': 'title',
                'type': 'String',
            },
            {   'name': 'description',
                'type': 'Text',
            },
            {   'name': 'text',
                'type': 'Text',
            },
            {   'name': 'abreviatura',
                'type': 'string',
            },
            {   'name': 'codigoIdioma',
                'type': 'string',
            },
            {   'name': 'responsabilidadesClave',
                'type': 'Text',
            },
            {   'name': 'versionInterna',
                'type': 'string',
            },
        ],
        'traversals':   [
            {   'aggregation_name':     'coleccionesPoliticasDeNegocio',
                'contains_collections': True,
                'tabular_tree':         True,
                'subitems':             [
                    {   'portal_types': [ 'BPDColeccionPoliticasDeNegocio', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':     'coleccionesReglasDeNegocio',
                'contains_collections': True,
                'tabular_tree':         True,
                'subitems':             [
                    {   'portal_types': [ 'BPDColeccionReglasDeNegocio', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':     'coleccionesUnidadesOrganizacionales',
                'contains_collections': True,
                'tabular_tree':         True,
                'subitems':             [
                    {   'portal_types': [ 'BPDColeccionUnidadesOrganizacionales', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':     'coleccionesPerfiles',
                'contains_collections': True,
                'tabular_tree':         True,
                'subitems':             [
                    {   'portal_types': [ 'BPDColeccionPerfiles', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':     'coleccionesProcesosDeNegocio',
                'contains_collections': True,
                'tabular_tree':         True,
                'subitems':             [
                    {   'portal_types': [ 'BPDColeccionProcesosDeNegocio', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':     'coleccionesArtefactos',
                'contains_collections': True,
                'tabular_tree':         True,
                'subitems':             [
                    {   'portal_types': [ 'BPDColeccionArtefactos', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':     'coleccionesHerramientas',
                'contains_collections': True,
                'tabular_tree':         True,
                'subitems':             [
                    {   'portal_types': [ 'BPDColeccionHerramientas', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'procesosSupervisados',
                'related_types': [
                    {   'portal_types': [ 'BPDProcesoDeNegocioSimple', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'procesosEjecutados',
                'related_types': [
                    {   'portal_types': [ 'BPDProcesoDeNegocioSimple', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'pasosEjecutados',
                'related_types': [
                    {   'portal_types': [ 'BPDDecision', 'BPDEnvio', 'BPDPasoSimple', 'BPDRecepcion', 'BPDSubProceso', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'remitenteDeRecepciones',
                'related_types': [
                    {   'portal_types': [ 'BPDRecepcion', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'destinatarioDeEnvios',
                'related_types': [
                    {   'portal_types': [ 'BPDEnvio', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'responsableDeArtefactos',
                'related_types': [
                    {   'portal_types': [ 'BPDArtefacto', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'responsableDeHerramientas',
                'related_types': [
                    {   'portal_types': [ 'BPDHerramienta', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'politicasDeNegocioGobernantes',
                'related_types': [
                    {   'portal_types': [ 'BPDPoliticaDeNegocio', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'reglasDeNegocioDirigentes',
                'related_types': [
                    {   'portal_types': [ 'BPDReglaDeNegocio', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'referidos',
                'related_types': [
                    {   'portal_types': [ 'BPDArtefacto', 'BPDDecision', 'BPDEntrada', 'BPDEnvio', 'BPDExitoFinal', 'BPDFracasoFinal', 'BPDHerramienta', 'BPDOrganizacion', 'BPDPasoSimple', 'BPDPerfil', 'BPDPlazo', 'BPDPoliticaDeNegocio', 'BPDProcesoDeNegocioSimple', 'BPDRecepcion', 'BPDReglaDeNegocio', 'BPDSalida', 'BPDSubProceso', 'BPDUnidadOrganizacional', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'referentes',
                'related_types': [
                    {   'portal_types': [ 'BPDArtefacto', 'BPDDecision', 'BPDEntrada', 'BPDEnvio', 'BPDExitoFinal', 'BPDFracasoFinal', 'BPDHerramienta', 'BPDOrganizacion', 'BPDPasoSimple', 'BPDPerfil', 'BPDPlazo', 'BPDPoliticaDeNegocio', 'BPDProcesoDeNegocioSimple', 'BPDRecepcion', 'BPDReglaDeNegocio', 'BPDSalida', 'BPDSubProceso', 'BPDUnidadOrganizacional', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':     'referenciasCualificadas',
                'contains_collections': False,
                'tabular_tree':         True,
                'subitems':             [
                    {   'portal_types': [ 'BPDReferenciaCualificada', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'referentesCualificados',
                'related_types': [
                    {   'portal_types': [ 'BPDReferenciaCualificada', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'archivos',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATFile', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'documentos',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATDocument', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'enlaces',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATLink', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'imagenes',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATImage', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'noticias',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATNewsItem', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
        ],
    },
    {   'portal_types': [ 'BPDPasoGestorExcepciones', ],
        'attrs':        [
            {   'name': 'title',
                'type': 'String',
            },
            {   'name': 'description',
                'type': 'Text',
            },
            {   'name': 'text',
                'type': 'Text',
            },
        ],
        'traversals':   [
            {   'relation_name':    'pasosOriginandoExcepcion',
                'related_types':    [
                    {   'portal_types': [ 'BPDDecision', 'BPDEnvio', 'BPDPasoSimple', 'BPDPlazo', 'BPDRecepcion', 'BPDSubProceso', ],
                        'reuse_config': 'Default',
                    },
                ],
                'candidates_scope': 'Owner',
            },
        ],
    },
    {   'portal_types': [ 'BPDPasoSimple', ],
        'attrs':        [
            {   'name': 'title',
                'type': 'String',
            },
            {   'name': 'description',
                'type': 'Text',
            },
            {   'name': 'text',
                'type': 'Text',
            },
            {   'name': 'codigoIdioma',
                'type': 'string',
            },
            {   'name': 'esInicial',
                'type': 'Boolean',
            },
            {   'name': 'versionInterna',
                'type': 'string',
            },
        ],
        'traversals':   [
            {   'relation_name':    'pasosSiguientes',
                'related_types':    [
                    {   'portal_types': [ 'BPDDecision', 'BPDEnvio', 'BPDExitoFinal', 'BPDFracasoFinal', 'BPDPasoSimple', 'BPDPlazo', 'BPDRecepcion', 'BPDSubProceso', ],
                        'reuse_config': 'Default',
                    },
                ],
                'candidates_scope': 'Owner',
            },
            {   'relation_name':    'pasosSiguientesEnCasoExcepcion',
                'related_types':    [
                    {   'portal_types': [ 'BPDDecision', 'BPDEnvio', 'BPDExitoFinal', 'BPDFracasoFinal', 'BPDPasoGestorExcepciones', 'BPDPasoSimple', 'BPDPlazo', 'BPDRecepcion', 'BPDSubProceso', ],
                        'reuse_config': 'Default',
                    },
                ],
                'candidates_scope': 'Owner',
            },
            {   'relation_name': 'ejecutores',
                'related_types': [
                    {   'portal_types': [ 'BPDOrganizacion', 'BPDPerfil', 'BPDUnidadOrganizacional', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'reglasDeNegocioAplicadas',
                'related_types': [
                    {   'portal_types': [ 'BPDReglaDeNegocio', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'herramientasAplicadas',
                'related_types': [
                    {   'portal_types': [ 'BPDHerramienta', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name':    'pasosAnteriores',
                'related_types':    [
                    {   'portal_types': [ 'BPDDecision', 'BPDEnvio', 'BPDExitoFinal', 'BPDFracasoFinal', 'BPDPasoSimple', 'BPDPlazo', 'BPDRecepcion', 'BPDSubProceso', ],
                        'reuse_config': 'Default',
                    },
                ],
                'candidates_scope': 'Owner',
            },
            {   'relation_name':    'pasosOriginandoExcepcion',
                'related_types':    [
                    {   'portal_types': [ 'BPDDecision', 'BPDEnvio', 'BPDExitoFinal', 'BPDFracasoFinal', 'BPDPasoGestorExcepciones', 'BPDPasoSimple', 'BPDPlazo', 'BPDRecepcion', 'BPDSubProceso', ],
                        'reuse_config': 'Default',
                    },
                ],
                'candidates_scope': 'Owner',
            },
            {   'relation_name':    'requeridoEnPlazos',
                'related_types':    [
                    {   'portal_types': [ 'BPDPlazo', ],
                        'reuse_config': 'Default',
                    },
                ],
                'candidates_scope': 'Owner',
            },
            {   'relation_name': 'referidos',
                'related_types': [
                    {   'portal_types': [ 'BPDArtefacto', 'BPDDecision', 'BPDEntrada', 'BPDEnvio', 'BPDExitoFinal', 'BPDFracasoFinal', 'BPDHerramienta', 'BPDOrganizacion', 'BPDPasoSimple', 'BPDPerfil', 'BPDPlazo', 'BPDPoliticaDeNegocio', 'BPDProcesoDeNegocioSimple', 'BPDRecepcion', 'BPDReglaDeNegocio', 'BPDSalida', 'BPDSubProceso', 'BPDUnidadOrganizacional', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'referentes',
                'related_types': [
                    {   'portal_types': [ 'BPDArtefacto', 'BPDDecision', 'BPDEntrada', 'BPDEnvio', 'BPDExitoFinal', 'BPDFracasoFinal', 'BPDHerramienta', 'BPDOrganizacion', 'BPDPasoSimple', 'BPDPerfil', 'BPDPlazo', 'BPDPoliticaDeNegocio', 'BPDProcesoDeNegocioSimple', 'BPDRecepcion', 'BPDReglaDeNegocio', 'BPDSalida', 'BPDSubProceso', 'BPDUnidadOrganizacional', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':     'referenciasCualificadas',
                'contains_collections': False,
                'tabular_tree':         True,
                'subitems':             [
                    {   'portal_types': [ 'BPDReferenciaCualificada', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'referentesCualificados',
                'related_types': [
                    {   'portal_types': [ 'BPDReferenciaCualificada', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'archivos',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATFile', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'documentos',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATDocument', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'enlaces',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATLink', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'imagenes',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATImage', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'noticias',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATNewsItem', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
        ],
    },
    {   'portal_types': [ 'BPDPerfil', ],
        'attrs':        [
            {   'name': 'title',
                'type': 'String',
            },
            {   'name': 'description',
                'type': 'Text',
            },
            {   'name': 'text',
                'type': 'Text',
            },
            {   'name': 'abreviatura',
                'type': 'string',
            },
            {   'name': 'codigoIdioma',
                'type': 'string',
            },
            {   'name': 'conocimientosPoseidos',
                'type': 'Text',
            },
            {   'name': 'habilidadesDemostradas',
                'type': 'Text',
            },
            {   'name': 'responsabilidadesClave',
                'type': 'Text',
            },
            {   'name': 'seleccionDePersonal',
                'type': 'Text',
            },
            {   'name': 'versionInterna',
                'type': 'string',
            },
        ],
        'traversals':   [
            {   'relation_name': 'procesosSupervisados',
                'related_types': [
                    {   'portal_types': [ 'BPDProcesoDeNegocioSimple', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'procesosEjecutados',
                'related_types': [
                    {   'portal_types': [ 'BPDProcesoDeNegocioSimple', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'pasosEjecutados',
                'related_types': [
                    {   'portal_types': [ 'BPDDecision', 'BPDEnvio', 'BPDPasoSimple', 'BPDRecepcion', 'BPDSubProceso', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'remitenteDeRecepciones',
                'related_types': [
                    {   'portal_types': [ 'BPDRecepcion', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'destinatarioDeEnvios',
                'related_types': [
                    {   'portal_types': [ 'BPDEnvio', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'responsableDeArtefactos',
                'related_types': [
                    {   'portal_types': [ 'BPDArtefacto', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'responsableDeHerramientas',
                'related_types': [
                    {   'portal_types': [ 'BPDHerramienta', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'politicasDeNegocioGobernantes',
                'related_types': [
                    {   'portal_types': [ 'BPDPoliticaDeNegocio', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'reglasDeNegocioDirigentes',
                'related_types': [
                    {   'portal_types': [ 'BPDReglaDeNegocio', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'referidos',
                'related_types': [
                    {   'portal_types': [ 'BPDArtefacto', 'BPDDecision', 'BPDEntrada', 'BPDEnvio', 'BPDExitoFinal', 'BPDFracasoFinal', 'BPDHerramienta', 'BPDOrganizacion', 'BPDPasoSimple', 'BPDPerfil', 'BPDPlazo', 'BPDPoliticaDeNegocio', 'BPDProcesoDeNegocioSimple', 'BPDRecepcion', 'BPDReglaDeNegocio', 'BPDSalida', 'BPDSubProceso', 'BPDUnidadOrganizacional', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'referentes',
                'related_types': [
                    {   'portal_types': [ 'BPDArtefacto', 'BPDDecision', 'BPDEntrada', 'BPDEnvio', 'BPDExitoFinal', 'BPDFracasoFinal', 'BPDHerramienta', 'BPDOrganizacion', 'BPDPasoSimple', 'BPDPerfil', 'BPDPlazo', 'BPDPoliticaDeNegocio', 'BPDProcesoDeNegocioSimple', 'BPDRecepcion', 'BPDReglaDeNegocio', 'BPDSalida', 'BPDSubProceso', 'BPDUnidadOrganizacional', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':     'referenciasCualificadas',
                'contains_collections': False,
                'tabular_tree':         True,
                'subitems':             [
                    {   'portal_types': [ 'BPDReferenciaCualificada', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'referentesCualificados',
                'related_types': [
                    {   'portal_types': [ 'BPDReferenciaCualificada', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'archivos',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATFile', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'documentos',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATDocument', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'enlaces',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATLink', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'imagenes',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATImage', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'noticias',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATNewsItem', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
        ],
    },
    {   'portal_types': [ 'BPDPlazo', ],
        'attrs':        [
            {   'name': 'title',
                'type': 'String',
            },
            {   'name': 'description',
                'type': 'Text',
            },
            {   'name': 'text',
                'type': 'Text',
            },
            {   'name': 'agotarPlazo',
                'type': 'Boolean',
            },
            {   'name': 'codigoIdioma',
                'type': 'string',
            },
            {   'name': 'esInicial',
                'type': 'Boolean',
            },
            {   'name': 'tiempoDeEspera',
                'type': 'Number',
            },
            {   'name': 'unidadDeTiempo',
                'type': 'selection',
            },
            {   'name': 'versionInterna',
                'type': 'string',
            },
        ],
        'traversals':   [
            {   'relation_name':    'pasosSiguientes',
                'related_types':    [
                    {   'portal_types': [ 'BPDDecision', 'BPDEnvio', 'BPDExitoFinal', 'BPDFracasoFinal', 'BPDPasoSimple', 'BPDPlazo', 'BPDRecepcion', 'BPDSubProceso', ],
                        'reuse_config': 'Default',
                    },
                ],
                'candidates_scope': 'Owner',
            },
            {   'relation_name':    'pasosRequeridos',
                'related_types':    [
                    {   'portal_types': [ 'BPDDecision', 'BPDEnvio', 'BPDPasoSimple', 'BPDRecepcion', 'BPDSubProceso', ],
                        'reuse_config': 'Default',
                    },
                ],
                'candidates_scope': 'Owner',
            },
            {   'relation_name':    'pasosSiguientesEnCasoExcepcion',
                'related_types':    [
                    {   'portal_types': [ 'BPDDecision', 'BPDEnvio', 'BPDExitoFinal', 'BPDFracasoFinal', 'BPDPasoGestorExcepciones', 'BPDPasoSimple', 'BPDPlazo', 'BPDRecepcion', 'BPDSubProceso', ],
                        'reuse_config': 'Default',
                    },
                ],
                'candidates_scope': 'Owner',
            },
            {   'relation_name': 'reglasDeNegocioAplicadas',
                'related_types': [
                    {   'portal_types': [ 'BPDReglaDeNegocio', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'herramientasAplicadas',
                'related_types': [
                    {   'portal_types': [ 'BPDHerramienta', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name':    'pasosAnteriores',
                'related_types':    [
                    {   'portal_types': [ 'BPDDecision', 'BPDEnvio', 'BPDExitoFinal', 'BPDFracasoFinal', 'BPDPasoSimple', 'BPDPlazo', 'BPDRecepcion', 'BPDSubProceso', ],
                        'reuse_config': 'Default',
                    },
                ],
                'candidates_scope': 'Owner',
            },
            {   'relation_name':    'pasosOriginandoExcepcion',
                'related_types':    [
                    {   'portal_types': [ 'BPDDecision', 'BPDEnvio', 'BPDExitoFinal', 'BPDFracasoFinal', 'BPDPasoGestorExcepciones', 'BPDPasoSimple', 'BPDPlazo', 'BPDRecepcion', 'BPDSubProceso', ],
                        'reuse_config': 'Default',
                    },
                ],
                'candidates_scope': 'Owner',
            },
            {   'relation_name': 'referidos',
                'related_types': [
                    {   'portal_types': [ 'BPDArtefacto', 'BPDDecision', 'BPDEntrada', 'BPDEnvio', 'BPDExitoFinal', 'BPDFracasoFinal', 'BPDHerramienta', 'BPDOrganizacion', 'BPDPasoSimple', 'BPDPerfil', 'BPDPlazo', 'BPDPoliticaDeNegocio', 'BPDProcesoDeNegocioSimple', 'BPDRecepcion', 'BPDReglaDeNegocio', 'BPDSalida', 'BPDSubProceso', 'BPDUnidadOrganizacional', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'referentes',
                'related_types': [
                    {   'portal_types': [ 'BPDArtefacto', 'BPDDecision', 'BPDEntrada', 'BPDEnvio', 'BPDExitoFinal', 'BPDFracasoFinal', 'BPDHerramienta', 'BPDOrganizacion', 'BPDPasoSimple', 'BPDPerfil', 'BPDPlazo', 'BPDPoliticaDeNegocio', 'BPDProcesoDeNegocioSimple', 'BPDRecepcion', 'BPDReglaDeNegocio', 'BPDSalida', 'BPDSubProceso', 'BPDUnidadOrganizacional', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':     'referenciasCualificadas',
                'contains_collections': False,
                'tabular_tree':         True,
                'subitems':             [
                    {   'portal_types': [ 'BPDReferenciaCualificada', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'referentesCualificados',
                'related_types': [
                    {   'portal_types': [ 'BPDReferenciaCualificada', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'archivos',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATFile', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'documentos',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATDocument', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'enlaces',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATLink', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'imagenes',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATImage', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'noticias',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATNewsItem', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
        ],
    },
    {   'portal_types': [ 'BPDPoliticaDeNegocio', ],
        'attrs':        [
            {   'name': 'title',
                'type': 'String',
            },
            {   'name': 'description',
                'type': 'Text',
            },
            {   'name': 'text',
                'type': 'Text',
            },
            {   'name': 'codigo',
                'type': 'string',
            },
            {   'name': 'codigoIdioma',
                'type': 'string',
            },
            {   'name': 'estado',
                'type': 'selection',
            },
            {   'name': 'fechaAdopcion',
                'type': 'Date',
            },
            {   'name': 'fechaObsolescencia',
                'type': 'Date',
            },
            {   'name': 'nivelDeImposicion',
                'type': 'selection',
            },
            {   'name': 'version',
                'type': 'string',
            },
            {   'name': 'versionInterna',
                'type': 'string',
            },
        ],
        'traversals':   [
            {   'aggregation_name':     'coleccionesPoliticasDeNegocio',
                'contains_collections': True,
                'tabular_tree':         True,
                'subitems':             [
                    {   'portal_types': [ 'BPDColeccionPoliticasDeNegocio', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'reglasDeNegocioDerivadas',
                'related_types': [
                    {   'portal_types': [ 'BPDReglaDeNegocio', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'procesosDeNegocioGobernados',
                'related_types': [
                    {   'portal_types': [ 'BPDProcesoDeNegocioSimple', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'participantesGobernados',
                'related_types': [
                    {   'portal_types': [ 'BPDOrganizacion', 'BPDPerfil', 'BPDUnidadOrganizacional', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'herramientasGobernadas',
                'related_types': [
                    {   'portal_types': [ 'BPDHerramienta', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'artefactosGobernados',
                'related_types': [
                    {   'portal_types': [ 'BPDArtefacto', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'archivos',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATFile', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'documentos',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATDocument', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'enlaces',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATLink', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'imagenes',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATImage', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'noticias',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATNewsItem', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':     'referenciasCualificadas',
                'contains_collections': False,
                'tabular_tree':         True,
                'subitems':             [
                    {   'portal_types': [ 'BPDReferenciaCualificada', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'referentes',
                'related_types': [
                    {   'portal_types': [ 'BPDArtefacto', 'BPDDecision', 'BPDEntrada', 'BPDEnvio', 'BPDExitoFinal', 'BPDFracasoFinal', 'BPDHerramienta', 'BPDOrganizacion', 'BPDPasoSimple', 'BPDPerfil', 'BPDPlazo', 'BPDPoliticaDeNegocio', 'BPDProcesoDeNegocioSimple', 'BPDRecepcion', 'BPDReglaDeNegocio', 'BPDSalida', 'BPDSubProceso', 'BPDUnidadOrganizacional', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'referentesCualificados',
                'related_types': [
                    {   'portal_types': [ 'BPDReferenciaCualificada', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'referidos',
                'related_types': [
                    {   'portal_types': [ 'BPDArtefacto', 'BPDDecision', 'BPDEntrada', 'BPDEnvio', 'BPDExitoFinal', 'BPDFracasoFinal', 'BPDHerramienta', 'BPDOrganizacion', 'BPDPasoSimple', 'BPDPerfil', 'BPDPlazo', 'BPDPoliticaDeNegocio', 'BPDProcesoDeNegocioSimple', 'BPDRecepcion', 'BPDReglaDeNegocio', 'BPDSalida', 'BPDSubProceso', 'BPDUnidadOrganizacional', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
        ],
    },
    {   'portal_types': [ 'BPDProcesoDeNegocioSimple', ],
        'attrs':        [
            {   'name': 'title',
                'type': 'String',
            },
            {   'name': 'description',
                'type': 'Text',
            },
            {   'name': 'text',
                'type': 'Text',
            },
            {   'name': 'codigo',
                'type': 'string',
            },
            {   'name': 'codigoIdioma',
                'type': 'string',
            },
            {   'name': 'esContinuo',
                'type': 'Boolean',
            },
            {   'name': 'esPlaneado',
                'type': 'Boolean',
            },
            {   'name': 'esRepetible',
                'type': 'Boolean',
            },
            {   'name': 'estado',
                'type': 'selection',
            },
            {   'name': 'fechaAdopcion',
                'type': 'Date',
            },
            {   'name': 'fechaObsolescencia',
                'type': 'Date',
            },
            {   'name': 'nivelDeImposicion',
                'type': 'selection',
            },
            {   'name': 'postCondicion',
                'type': 'Text',
            },
            {   'name': 'preCondicion',
                'type': 'Text',
            },
            {   'name': 'proposito',
                'type': 'Text',
            },
            {   'name': 'responsableMantenimiento',
                'type': 'string',
            },
            {   'name': 'seleccionDePersonal',
                'type': 'Text',
            },
            {   'name': 'version',
                'type': 'string',
            },
            {   'name': 'versionInterna',
                'type': 'string',
            },
        ],
        'traversals':   [
            {   'aggregation_name':     'coleccionesProcesosDeNegocio',
                'contains_collections': True,
                'tabular_tree':         True,
                'subitems':             [
                    {   'portal_types': [ 'BPDColeccionProcesosDeNegocio', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'supervisor',
                'related_types': [
                    {   'portal_types': [ 'BPDOrganizacion', 'BPDPerfil', 'BPDUnidadOrganizacional', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'ejecutores',
                'related_types': [
                    {   'portal_types': [ 'BPDOrganizacion', 'BPDPerfil', 'BPDUnidadOrganizacional', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':     'coleccionesEntradas',
                'contains_collections': True,
                'tabular_tree':         True,
                'subitems':             [
                    {   'portal_types': [ 'BPDColeccionEntradas', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':     'coleccionesSalidas',
                'contains_collections': True,
                'tabular_tree':         True,
                'subitems':             [
                    {   'portal_types': [ 'BPDColeccionSalidas', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':     'coleccionesPasos',
                'contains_collections': True,
                'tabular_tree':         True,
                'subitems':             [
                    {   'portal_types': [ 'BPDColeccionPasos', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'politicasDeNegocioGobernantes',
                'related_types': [
                    {   'portal_types': [ 'BPDPoliticaDeNegocio', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'reglasDeNegocioDirigentes',
                'related_types': [
                    {   'portal_types': [ 'BPDReglaDeNegocio', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'usadoComoSubProcesos',
                'related_types': [
                    {   'portal_types': [ 'BPDSubProceso', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'archivos',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATFile', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'documentos',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATDocument', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'enlaces',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATLink', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'imagenes',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATImage', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'noticias',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATNewsItem', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':     'referenciasCualificadas',
                'contains_collections': False,
                'tabular_tree':         True,
                'subitems':             [
                    {   'portal_types': [ 'BPDReferenciaCualificada', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'referentes',
                'related_types': [
                    {   'portal_types': [ 'BPDArtefacto', 'BPDDecision', 'BPDEntrada', 'BPDEnvio', 'BPDExitoFinal', 'BPDFracasoFinal', 'BPDHerramienta', 'BPDOrganizacion', 'BPDPasoSimple', 'BPDPerfil', 'BPDPlazo', 'BPDPoliticaDeNegocio', 'BPDProcesoDeNegocioSimple', 'BPDRecepcion', 'BPDReglaDeNegocio', 'BPDSalida', 'BPDSubProceso', 'BPDUnidadOrganizacional', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'referentesCualificados',
                'related_types': [
                    {   'portal_types': [ 'BPDReferenciaCualificada', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'referidos',
                'related_types': [
                    {   'portal_types': [ 'BPDArtefacto', 'BPDDecision', 'BPDEntrada', 'BPDEnvio', 'BPDExitoFinal', 'BPDFracasoFinal', 'BPDHerramienta', 'BPDOrganizacion', 'BPDPasoSimple', 'BPDPerfil', 'BPDPlazo', 'BPDPoliticaDeNegocio', 'BPDProcesoDeNegocioSimple', 'BPDRecepcion', 'BPDReglaDeNegocio', 'BPDSalida', 'BPDSubProceso', 'BPDUnidadOrganizacional', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
        ],
    },
    {   'portal_types': [ 'BPDRecepcion', ],
        'attrs':        [
            {   'name': 'title',
                'type': 'String',
            },
            {   'name': 'description',
                'type': 'Text',
            },
            {   'name': 'text',
                'type': 'Text',
            },
            {   'name': 'codigoIdioma',
                'type': 'string',
            },
            {   'name': 'esInicial',
                'type': 'Boolean',
            },
            {   'name': 'versionInterna',
                'type': 'string',
            },
        ],
        'traversals':   [
            {   'relation_name': 'remitente',
                'related_types': [
                    {   'portal_types': [ 'BPDOrganizacion', 'BPDPerfil', 'BPDUnidadOrganizacional', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'artefactosRecibidos',
                'related_types': [
                    {   'portal_types': [ 'BPDArtefacto', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name':    'pasosSiguientes',
                'related_types':    [
                    {   'portal_types': [ 'BPDDecision', 'BPDEnvio', 'BPDExitoFinal', 'BPDFracasoFinal', 'BPDPasoSimple', 'BPDPlazo', 'BPDRecepcion', 'BPDSubProceso', ],
                        'reuse_config': 'Default',
                    },
                ],
                'candidates_scope': 'Owner',
            },
            {   'relation_name':    'pasosSiguientesEnCasoExcepcion',
                'related_types':    [
                    {   'portal_types': [ 'BPDDecision', 'BPDEnvio', 'BPDExitoFinal', 'BPDFracasoFinal', 'BPDPasoGestorExcepciones', 'BPDPasoSimple', 'BPDPlazo', 'BPDRecepcion', 'BPDSubProceso', ],
                        'reuse_config': 'Default',
                    },
                ],
                'candidates_scope': 'Owner',
            },
            {   'relation_name': 'ejecutores',
                'related_types': [
                    {   'portal_types': [ 'BPDOrganizacion', 'BPDPerfil', 'BPDUnidadOrganizacional', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'reglasDeNegocioAplicadas',
                'related_types': [
                    {   'portal_types': [ 'BPDReglaDeNegocio', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'herramientasAplicadas',
                'related_types': [
                    {   'portal_types': [ 'BPDHerramienta', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name':    'pasosAnteriores',
                'related_types':    [
                    {   'portal_types': [ 'BPDDecision', 'BPDEnvio', 'BPDExitoFinal', 'BPDFracasoFinal', 'BPDPasoSimple', 'BPDPlazo', 'BPDRecepcion', 'BPDSubProceso', ],
                        'reuse_config': 'Default',
                    },
                ],
                'candidates_scope': 'Owner',
            },
            {   'relation_name':    'pasosOriginandoExcepcion',
                'related_types':    [
                    {   'portal_types': [ 'BPDDecision', 'BPDEnvio', 'BPDExitoFinal', 'BPDFracasoFinal', 'BPDPasoGestorExcepciones', 'BPDPasoSimple', 'BPDPlazo', 'BPDRecepcion', 'BPDSubProceso', ],
                        'reuse_config': 'Default',
                    },
                ],
                'candidates_scope': 'Owner',
            },
            {   'relation_name':    'requeridoEnPlazos',
                'related_types':    [
                    {   'portal_types': [ 'BPDPlazo', ],
                        'reuse_config': 'Default',
                    },
                ],
                'candidates_scope': 'Owner',
            },
            {   'relation_name': 'referidos',
                'related_types': [
                    {   'portal_types': [ 'BPDArtefacto', 'BPDDecision', 'BPDEntrada', 'BPDEnvio', 'BPDExitoFinal', 'BPDFracasoFinal', 'BPDHerramienta', 'BPDOrganizacion', 'BPDPasoSimple', 'BPDPerfil', 'BPDPlazo', 'BPDPoliticaDeNegocio', 'BPDProcesoDeNegocioSimple', 'BPDRecepcion', 'BPDReglaDeNegocio', 'BPDSalida', 'BPDSubProceso', 'BPDUnidadOrganizacional', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'referentes',
                'related_types': [
                    {   'portal_types': [ 'BPDArtefacto', 'BPDDecision', 'BPDEntrada', 'BPDEnvio', 'BPDExitoFinal', 'BPDFracasoFinal', 'BPDHerramienta', 'BPDOrganizacion', 'BPDPasoSimple', 'BPDPerfil', 'BPDPlazo', 'BPDPoliticaDeNegocio', 'BPDProcesoDeNegocioSimple', 'BPDRecepcion', 'BPDReglaDeNegocio', 'BPDSalida', 'BPDSubProceso', 'BPDUnidadOrganizacional', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':     'referenciasCualificadas',
                'contains_collections': False,
                'tabular_tree':         True,
                'subitems':             [
                    {   'portal_types': [ 'BPDReferenciaCualificada', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'referentesCualificados',
                'related_types': [
                    {   'portal_types': [ 'BPDReferenciaCualificada', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'archivos',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATFile', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'documentos',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATDocument', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'enlaces',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATLink', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'imagenes',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATImage', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'noticias',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATNewsItem', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
        ],
    },
    {   'portal_types': [ 'BPDReferenciaCualificada', ],
        'attrs':        [
            {   'name': 'title',
                'type': 'String',
            },
            {   'name': 'description',
                'type': 'Text',
            },
            {   'name': 'text',
                'type': 'Text',
            },
            {   'name': 'codigoIdioma',
                'type': 'string',
            },
            {   'name': 'versionInterna',
                'type': 'string',
            },
        ],
        'traversals':   [
            {   'aggregation_name':       'archivos',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATFile', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'documentos',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATDocument', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'enlaces',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATLink', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'imagenes',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATImage', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'noticias',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATNewsItem', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'referidosCualificados',
                'related_types': [
                    {   'portal_types': [ 'BPDArtefacto', 'BPDDecision', 'BPDEntrada', 'BPDEnvio', 'BPDExitoFinal', 'BPDFracasoFinal', 'BPDHerramienta', 'BPDOrganizacion', 'BPDPasoSimple', 'BPDPerfil', 'BPDPlazo', 'BPDPoliticaDeNegocio', 'BPDProcesoDeNegocioSimple', 'BPDRecepcion', 'BPDReglaDeNegocio', 'BPDSalida', 'BPDSubProceso', 'BPDUnidadOrganizacional', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
        ],
    },
    {   'portal_types': [ 'BPDReglaDeNegocio', ],
        'attrs':        [
            {   'name': 'title',
                'type': 'String',
            },
            {   'name': 'description',
                'type': 'Text',
            },
            {   'name': 'text',
                'type': 'Text',
            },
            {   'name': 'codigo',
                'type': 'string',
            },
            {   'name': 'codigoIdioma',
                'type': 'string',
            },
            {   'name': 'estado',
                'type': 'selection',
            },
            {   'name': 'fechaAdopcion',
                'type': 'Date',
            },
            {   'name': 'fechaObsolescencia',
                'type': 'Date',
            },
            {   'name': 'nivelDeImposicion',
                'type': 'selection',
            },
            {   'name': 'version',
                'type': 'string',
            },
            {   'name': 'versionInterna',
                'type': 'string',
            },
        ],
        'traversals':   [
            {   'aggregation_name':     'coleccionesReglasDeNegocio',
                'contains_collections': True,
                'tabular_tree':         True,
                'subitems':             [
                    {   'portal_types': [ 'BPDColeccionReglasDeNegocio', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'politicasDeNegocioBase',
                'related_types': [
                    {   'portal_types': [ 'BPDPoliticaDeNegocio', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'procesosDeNegocioDirigidos',
                'related_types': [
                    {   'portal_types': [ 'BPDProcesoDeNegocioSimple', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'pasosAplicandoLaRegla',
                'related_types': [
                    {   'portal_types': [ 'BPDDecision', 'BPDEnvio', 'BPDExitoFinal', 'BPDFracasoFinal', 'BPDPasoSimple', 'BPDPlazo', 'BPDRecepcion', 'BPDSubProceso', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'participantesDirigidos',
                'related_types': [
                    {   'portal_types': [ 'BPDOrganizacion', 'BPDPerfil', 'BPDUnidadOrganizacional', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'artefactosDirigidos',
                'related_types': [
                    {   'portal_types': [ 'BPDArtefacto', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'herramientasDirigidas',
                'related_types': [
                    {   'portal_types': [ 'BPDHerramienta', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'archivos',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATFile', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'documentos',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATDocument', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'enlaces',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATLink', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'imagenes',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATImage', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'noticias',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATNewsItem', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':     'referenciasCualificadas',
                'contains_collections': False,
                'tabular_tree':         True,
                'subitems':             [
                    {   'portal_types': [ 'BPDReferenciaCualificada', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'referentes',
                'related_types': [
                    {   'portal_types': [ 'BPDArtefacto', 'BPDDecision', 'BPDEntrada', 'BPDEnvio', 'BPDExitoFinal', 'BPDFracasoFinal', 'BPDHerramienta', 'BPDOrganizacion', 'BPDPasoSimple', 'BPDPerfil', 'BPDPlazo', 'BPDPoliticaDeNegocio', 'BPDProcesoDeNegocioSimple', 'BPDRecepcion', 'BPDReglaDeNegocio', 'BPDSalida', 'BPDSubProceso', 'BPDUnidadOrganizacional', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'referentesCualificados',
                'related_types': [
                    {   'portal_types': [ 'BPDReferenciaCualificada', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'referidos',
                'related_types': [
                    {   'portal_types': [ 'BPDArtefacto', 'BPDDecision', 'BPDEntrada', 'BPDEnvio', 'BPDExitoFinal', 'BPDFracasoFinal', 'BPDHerramienta', 'BPDOrganizacion', 'BPDPasoSimple', 'BPDPerfil', 'BPDPlazo', 'BPDPoliticaDeNegocio', 'BPDProcesoDeNegocioSimple', 'BPDRecepcion', 'BPDReglaDeNegocio', 'BPDSalida', 'BPDSubProceso', 'BPDUnidadOrganizacional', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
        ],
    },
    {   'portal_types': [ 'BPDSalida', ],
        'attrs':        [
            {   'name': 'title',
                'type': 'String',
            },
            {   'name': 'description',
                'type': 'Text',
            },
            {   'name': 'text',
                'type': 'Text',
            },
            {   'name': 'codigoIdioma',
                'type': 'string',
            },
            {   'name': 'esRequerido',
                'type': 'Boolean',
            },
            {   'name': 'versionInterna',
                'type': 'string',
            },
        ],
        'traversals':   [
            {   'relation_name': 'artefactosDeSalida',
                'related_types': [
                    {   'portal_types': [ 'BPDArtefacto', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'referidos',
                'related_types': [
                    {   'portal_types': [ 'BPDArtefacto', 'BPDDecision', 'BPDEntrada', 'BPDEnvio', 'BPDExitoFinal', 'BPDFracasoFinal', 'BPDHerramienta', 'BPDOrganizacion', 'BPDPasoSimple', 'BPDPerfil', 'BPDPlazo', 'BPDPoliticaDeNegocio', 'BPDProcesoDeNegocioSimple', 'BPDRecepcion', 'BPDReglaDeNegocio', 'BPDSalida', 'BPDSubProceso', 'BPDUnidadOrganizacional', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'referentes',
                'related_types': [
                    {   'portal_types': [ 'BPDArtefacto', 'BPDDecision', 'BPDEntrada', 'BPDEnvio', 'BPDExitoFinal', 'BPDFracasoFinal', 'BPDHerramienta', 'BPDOrganizacion', 'BPDPasoSimple', 'BPDPerfil', 'BPDPlazo', 'BPDPoliticaDeNegocio', 'BPDProcesoDeNegocioSimple', 'BPDRecepcion', 'BPDReglaDeNegocio', 'BPDSalida', 'BPDSubProceso', 'BPDUnidadOrganizacional', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':     'referenciasCualificadas',
                'contains_collections': False,
                'tabular_tree':         True,
                'subitems':             [
                    {   'portal_types': [ 'BPDReferenciaCualificada', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'referentesCualificados',
                'related_types': [
                    {   'portal_types': [ 'BPDReferenciaCualificada', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'archivos',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATFile', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'documentos',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATDocument', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'enlaces',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATLink', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'imagenes',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATImage', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'noticias',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATNewsItem', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
        ],
    },
    {   'portal_types': [ 'BPDSubProceso', ],
        'attrs':        [
            {   'name': 'title',
                'type': 'String',
            },
            {   'name': 'description',
                'type': 'Text',
            },
            {   'name': 'text',
                'type': 'Text',
            },
            {   'name': 'codigoIdioma',
                'type': 'string',
            },
            {   'name': 'esInicial',
                'type': 'Boolean',
            },
            {   'name': 'versionInterna',
                'type': 'string',
            },
        ],
        'traversals':   [
            {   'relation_name': 'procesoUsado',
                'related_types': [
                    {   'portal_types': [ 'BPDProcesoDeNegocioSimple', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name':    'pasosSiguientes',
                'related_types':    [
                    {   'portal_types': [ 'BPDDecision', 'BPDEnvio', 'BPDExitoFinal', 'BPDFracasoFinal', 'BPDPasoSimple', 'BPDPlazo', 'BPDRecepcion', 'BPDSubProceso', ],
                        'reuse_config': 'Default',
                    },
                ],
                'candidates_scope': 'Owner',
            },
            {   'relation_name':    'pasosSiguientesEnCasoExcepcion',
                'related_types':    [
                    {   'portal_types': [ 'BPDDecision', 'BPDEnvio', 'BPDExitoFinal', 'BPDFracasoFinal', 'BPDPasoGestorExcepciones', 'BPDPasoSimple', 'BPDPlazo', 'BPDRecepcion', 'BPDSubProceso', ],
                        'reuse_config': 'Default',
                    },
                ],
                'candidates_scope': 'Owner',
            },
            {   'relation_name': 'ejecutores',
                'related_types': [
                    {   'portal_types': [ 'BPDOrganizacion', 'BPDPerfil', 'BPDUnidadOrganizacional', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'reglasDeNegocioAplicadas',
                'related_types': [
                    {   'portal_types': [ 'BPDReglaDeNegocio', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'herramientasAplicadas',
                'related_types': [
                    {   'portal_types': [ 'BPDHerramienta', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name':    'pasosAnteriores',
                'related_types':    [
                    {   'portal_types': [ 'BPDDecision', 'BPDEnvio', 'BPDExitoFinal', 'BPDFracasoFinal', 'BPDPasoSimple', 'BPDPlazo', 'BPDRecepcion', 'BPDSubProceso', ],
                        'reuse_config': 'Default',
                    },
                ],
                'candidates_scope': 'Owner',
            },
            {   'relation_name':    'pasosOriginandoExcepcion',
                'related_types':    [
                    {   'portal_types': [ 'BPDDecision', 'BPDEnvio', 'BPDExitoFinal', 'BPDFracasoFinal', 'BPDPasoGestorExcepciones', 'BPDPasoSimple', 'BPDPlazo', 'BPDRecepcion', 'BPDSubProceso', ],
                        'reuse_config': 'Default',
                    },
                ],
                'candidates_scope': 'Owner',
            },
            {   'relation_name':    'requeridoEnPlazos',
                'related_types':    [
                    {   'portal_types': [ 'BPDPlazo', ],
                        'reuse_config': 'Default',
                    },
                ],
                'candidates_scope': 'Owner',
            },
            {   'relation_name': 'referidos',
                'related_types': [
                    {   'portal_types': [ 'BPDArtefacto', 'BPDDecision', 'BPDEntrada', 'BPDEnvio', 'BPDExitoFinal', 'BPDFracasoFinal', 'BPDHerramienta', 'BPDOrganizacion', 'BPDPasoSimple', 'BPDPerfil', 'BPDPlazo', 'BPDPoliticaDeNegocio', 'BPDProcesoDeNegocioSimple', 'BPDRecepcion', 'BPDReglaDeNegocio', 'BPDSalida', 'BPDSubProceso', 'BPDUnidadOrganizacional', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'referentes',
                'related_types': [
                    {   'portal_types': [ 'BPDArtefacto', 'BPDDecision', 'BPDEntrada', 'BPDEnvio', 'BPDExitoFinal', 'BPDFracasoFinal', 'BPDHerramienta', 'BPDOrganizacion', 'BPDPasoSimple', 'BPDPerfil', 'BPDPlazo', 'BPDPoliticaDeNegocio', 'BPDProcesoDeNegocioSimple', 'BPDRecepcion', 'BPDReglaDeNegocio', 'BPDSalida', 'BPDSubProceso', 'BPDUnidadOrganizacional', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':     'referenciasCualificadas',
                'contains_collections': False,
                'tabular_tree':         True,
                'subitems':             [
                    {   'portal_types': [ 'BPDReferenciaCualificada', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'referentesCualificados',
                'related_types': [
                    {   'portal_types': [ 'BPDReferenciaCualificada', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'archivos',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATFile', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'documentos',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATDocument', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'enlaces',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATLink', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'imagenes',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATImage', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'noticias',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATNewsItem', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
        ],
    },
    {   'portal_types': [ 'BPDUnidadOrganizacional', ],
        'attrs':        [
            {   'name': 'title',
                'type': 'String',
            },
            {   'name': 'description',
                'type': 'Text',
            },
            {   'name': 'text',
                'type': 'Text',
            },
            {   'name': 'abreviatura',
                'type': 'string',
            },
            {   'name': 'codigoIdioma',
                'type': 'string',
            },
            {   'name': 'responsabilidadesClave',
                'type': 'Text',
            },
            {   'name': 'versionInterna',
                'type': 'string',
            },
        ],
        'traversals':   [
            {   'aggregation_name':     'coleccionesUnidadesOrganizacionales',
                'contains_collections': True,
                'tabular_tree':         True,
                'subitems':             [
                    {   'portal_types': [ 'BPDColeccionUnidadesOrganizacionales', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':     'coleccionesPerfiles',
                'contains_collections': True,
                'tabular_tree':         True,
                'subitems':             [
                    {   'portal_types': [ 'BPDColeccionPerfiles', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'procesosSupervisados',
                'related_types': [
                    {   'portal_types': [ 'BPDProcesoDeNegocioSimple', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'procesosEjecutados',
                'related_types': [
                    {   'portal_types': [ 'BPDProcesoDeNegocioSimple', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'pasosEjecutados',
                'related_types': [
                    {   'portal_types': [ 'BPDDecision', 'BPDEnvio', 'BPDPasoSimple', 'BPDRecepcion', 'BPDSubProceso', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'remitenteDeRecepciones',
                'related_types': [
                    {   'portal_types': [ 'BPDRecepcion', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'destinatarioDeEnvios',
                'related_types': [
                    {   'portal_types': [ 'BPDEnvio', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'responsableDeArtefactos',
                'related_types': [
                    {   'portal_types': [ 'BPDArtefacto', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'responsableDeHerramientas',
                'related_types': [
                    {   'portal_types': [ 'BPDHerramienta', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'politicasDeNegocioGobernantes',
                'related_types': [
                    {   'portal_types': [ 'BPDPoliticaDeNegocio', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'reglasDeNegocioDirigentes',
                'related_types': [
                    {   'portal_types': [ 'BPDReglaDeNegocio', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'referidos',
                'related_types': [
                    {   'portal_types': [ 'BPDArtefacto', 'BPDDecision', 'BPDEntrada', 'BPDEnvio', 'BPDExitoFinal', 'BPDFracasoFinal', 'BPDHerramienta', 'BPDOrganizacion', 'BPDPasoSimple', 'BPDPerfil', 'BPDPlazo', 'BPDPoliticaDeNegocio', 'BPDProcesoDeNegocioSimple', 'BPDRecepcion', 'BPDReglaDeNegocio', 'BPDSalida', 'BPDSubProceso', 'BPDUnidadOrganizacional', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'referentes',
                'related_types': [
                    {   'portal_types': [ 'BPDArtefacto', 'BPDDecision', 'BPDEntrada', 'BPDEnvio', 'BPDExitoFinal', 'BPDFracasoFinal', 'BPDHerramienta', 'BPDOrganizacion', 'BPDPasoSimple', 'BPDPerfil', 'BPDPlazo', 'BPDPoliticaDeNegocio', 'BPDProcesoDeNegocioSimple', 'BPDRecepcion', 'BPDReglaDeNegocio', 'BPDSalida', 'BPDSubProceso', 'BPDUnidadOrganizacional', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':     'referenciasCualificadas',
                'contains_collections': False,
                'tabular_tree':         True,
                'subitems':             [
                    {   'portal_types': [ 'BPDReferenciaCualificada', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'relation_name': 'referentesCualificados',
                'related_types': [
                    {   'portal_types': [ 'BPDReferenciaCualificada', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'archivos',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATFile', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'documentos',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATDocument', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'enlaces',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATLink', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'imagenes',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATImage', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
            {   'aggregation_name':       'noticias',
                'contains_collections':   False,
                'tabular_tree':           True,
                'non_framework_elements': True,
                'subitems':               [
                    {   'portal_types': [ 'ATNewsItem', ],
                        'reuse_config': 'Default',
                    },
                ],
            },
        ],
    },
]
